/*
 * PostfixPolicyProtocol.hpp
 *
 *  Created on: 27.03.2013
 *      Author: wn
 */

#ifndef POSTFIX_POLICY_PROTOCOL_HPP_
#define POSTFIX_POLICY_PROTOCOL_HPP_

#include <string>

class InvalidAddressTuple {};

class PostfixPolicyProtocol {
public :
  PostfixPolicyProtocol();
  void processInput();
  void sendResult(std::string const& result);
  const std::string& getSender() const { return sender; }
  const std::string& getRecipient() const { return recipient; }
private:
  std::string sender;
  std::string recipient;
};


#endif /* POSTFIX_POLICY_PROTOCOL_HPP_ */
